### Signal

# Gio Settings::writable-changed

since: 2.0

#### Declaration

    void
    writable_changed (
      GSettings* self,
      gchar* key,
      gpointer user_data
    )

#### Description

The “writable-changed” signal is emitted when the writability of a key has potentially changed. You should call `g_settings_is_writable()` in order to determine the new status.

This signal supports detailed connections. You can connect to the detailed signal “writable-changed::x” in order to only receive callbacks when the writability of “x” changes.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed
Available since: 2.0

#### Parameters

`key`

  Type: `gchar*`

  The key.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.